package ink.wgink.module.activiti.pojo.vos.oa.nodemanage.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: FormFieldVO
 * @Description: 表单字段
 * @Author: wanggeng
 * @Date: 2022/4/4 10:48
 * @Version: 1.0
 */
@ApiModel
public class NodeFormFieldVO {

    @ApiModelProperty(name = "fieldId", value = "字段ID")
    private String fieldId;
    @ApiModelProperty(name = "fieldExplain", value = "字段描述")
    private String fieldExplain;
    @ApiModelProperty(name = "fieldName", value = "字段名")
    private String fieldName;
    @ApiModelProperty(name = "fieldTag", value = "字段标签")
    private String fieldTag;
    @ApiModelProperty(name = "fieldType", value = "字段类型")
    private String fieldType;
    @ApiModelProperty(name = "isEditable", value = "是否操作")
    private Boolean isEditable;
    @ApiModelProperty(name = "isVisible", value = "是否可见")
    private Boolean isVisible;
    @ApiModelProperty(name = "editHistory", value = "签批类型（编辑历史）")
    private String editHistory;
    @ApiModelProperty(name = "autoBackFill", value = "自动回填")
    private String autoBackFill;

    public String getFieldId() {
        return fieldId == null ? "" : fieldId.trim();
    }

    public void setFieldId(String fieldId) {
        this.fieldId = fieldId;
    }

    public String getFieldExplain() {
        return fieldExplain == null ? "" : fieldExplain.trim();
    }

    public void setFieldExplain(String fieldExplain) {
        this.fieldExplain = fieldExplain;
    }

    public String getFieldName() {
        return fieldName == null ? "" : fieldName.trim();
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldTag() {
        return fieldTag == null ? "" : fieldTag.trim();
    }

    public void setFieldTag(String fieldTag) {
        this.fieldTag = fieldTag;
    }

    public String getFieldType() {
        return fieldType == null ? "" : fieldType.trim();
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public Boolean getEditable() {
        return isEditable;
    }

    public void setEditable(Boolean editable) {
        isEditable = editable;
    }

    public Boolean getVisible() {
        return isVisible;
    }

    public void setVisible(Boolean visible) {
        isVisible = visible;
    }

    public String getEditHistory() {
        return editHistory == null ? "" : editHistory.trim();
    }

    public void setEditHistory(String editHistory) {
        this.editHistory = editHistory;
    }

    public String getAutoBackFill() {
        return autoBackFill == null ? "" : autoBackFill.trim();
    }

    public void setAutoBackFill(String autoBackFill) {
        this.autoBackFill = autoBackFill;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"fieldId\":\"")
                .append(fieldId).append('\"');
        sb.append(",\"fieldExplain\":\"")
                .append(fieldExplain).append('\"');
        sb.append(",\"fieldName\":\"")
                .append(fieldName).append('\"');
        sb.append(",\"fieldTag\":\"")
                .append(fieldTag).append('\"');
        sb.append(",\"fieldType\":\"")
                .append(fieldType).append('\"');
        sb.append(",\"isEditable\":")
                .append(isEditable);
        sb.append(",\"isVisible\":")
                .append(isVisible);
        sb.append(",\"editHistory\":\"")
                .append(editHistory).append('\"');
        sb.append(",\"autoBackFill\":\"")
                .append(autoBackFill).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
